button.button8 {
2
    /* 文字サイズを1.4emに指定 */
3
    font-size: 1.4em;
4

5
    /* 文字の太さをboldに指定 */
6
    font-weight: bold;
7

8
    /* 縦方向に10px、
9
     * 横方向に30pxの余白を指定 */
10
    padding: 10px 30px;
11

12
    /* 文字色を白色に指定 */
13
    color: #fff;
14

15
    /* ボーダーをなくす */
16
    border-style: none;
17

18
    /* ボタンの影の指定
19
     * 影の横幅を2px
20
     * 縦長を2px
21
     * ぼかしを3px
22
     * 広がりを1px
23
     * 色を#666（グレー）に指定 */
24
    box-shadow: 2px 2px 3px 1px #666;
25
    -moz-box-shadow: 2px 2px 3px 1px #666;
26
    -webkit-box-shadow: 2px 2px 3px 1px #666;
27

28
    /* テキストの影の指定
29
     * 影の横幅を1px
30
     * 縦長を1px
31
     * ぼかしを2px
32
     * 色を#000（黒）に指定 */
33
    text-shadow: 1px 1px 2px #000;
34

35
    /* グラデーションの指定 */
36
    background: -moz-linear-gradient(bottom, #36d, #248 50%, #36d);
37
    background: -webkit-gradient(linear, left bottom, left top, from(#36d), color-stop(0.5, #248), to(#36d));
38

39
    /* 角丸の指定 */
40
    -moz-border-radius: 5px;
41
    -webkit-border-radius: 5px;
42
    border-radius: 5px;
43
}
44

45
button.button8:hover {
46
    /* 透明度を20%に指定 */
47
    opacity: 0.8;
48
}

body.board {
	background: linear-gradient(45deg, #FFEEFF,#FFCCFF );
	color: #111111;
	font-family: serif;
}

body.user {
	background: linear-gradient(80deg, #000077, white);
	color: #00F9A9;
	font-family: serif;
}

body.login {
	background: linear-gradient(60deg, #FFCCFF, #AAFFFF, #FFFFBB, #CBFFD3, #FFC7AF,
		#DCC2FF, #BAD3FF);
	color: #111111;
	font-family: serif;
}

.form-group {
	width: 50%;
}

.form-group {
	width: 80%;
	margin: 0 auto;
}

table.comment {
	width: 100%;
	border-collapse: collapse;
	border-spacing: 0;
}

table.comment th, table.comment td {
	padding: 10px 0;
	text-align: center;
}

table.comment tr:nth-child(odd) {
	background-color: #eee
}

button.button1 { 2
	/* 文字サイズを1.4emに指定 */ 3
	font-size: 1.4em; 4 5
	/* 文字の太さをboldに指定 */ 6
	font-weight: bold; 7 8
	/* 縦方向に10px、
9
     * 横方向に30pxの余白を指定 */ 10
	padding: 10px 30px; 11 12
	/* 背景色を濃い青色に指定 */ 13
	background-color: #D7EEFF; 14 15
	/* 文字色を白色に指定 */ 16
	color: #fff; 17 18
	/* ボーダーをなくす */ 19
	border-style: none; 20 21
	/* ボタンの影の指定
22
     * 影の横幅を2px
23
     * 縦長を2px
24
     * ぼかしを3px
25
     * 広がりを1px
26
     * 色を#666（グレー）に指定 */ 27
	box-shadow: 2px 2px 3px 1px #666; 28
	-moz-box-shadow: 2px 2px 3px 1px #666; 29
	-webkit-box-shadow: 2px 2px 3px 1px #666;
	30
}

31
32
button.button5:hover { 33
	/* 背景色を明るい青色に指定 */ 34
	background-color: #24d; 35 36
	/* 文字色を白色に指定 */ 37
	color: #fff;
	38
}

text-middle {
	text-align: middle;
}

table.bL {
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
}

table.bL tr {
	border-bottom: solid 1px #eee;
	cursor: pointer;
}

table.bL tr:hover {
	background-color: #d4f0fd;
}

table.bL th, table.bL td {
	text-align: center;
	width: 25%;
	padding: 15px 0;
}

table.bL td.icon {
	background-size: 35px;
	background-position: left 5px center;
	background-repeat: no-repeat;
	padding-left: 30px;
}

table.bL td.icon.bird {
	background-image: url(icon-bird.png)
}

table.bL td.icon.whale {
	background-image: url(icon-whale.png)
}

table.bL td.icon.crab {
	background-image: url(icon-crab.png)
}

table {
	width: 100%;
	border-collapse: separate;
	border-spacing: 0;
}

table th:first-child {
	border-radius: 5px 0 0 0;
}

table th:last-child {
	border-radius: 0 5px 0 0;
	border-right: 1px solid #3c6690;
}

table th {
	text-align: center;
	color: white;
	background: linear-gradient(#829ebc, #225588);
	border-left: 1px solid #3c6690;
	border-top: 1px solid #3c6690;
	border-bottom: 1px solid #3c6690;
	box-shadow: 0px 1px 1px rgba(255, 255, 255, 0.3) inset;
	width: 25%;
	padding: 10px 0;
}

table td {
	text-align: center;
	border-left: 1px solid #a8b7c5;
	border-bottom: 1px solid #a8b7c5;
	border-top: none;
	box-shadow: 0px -3px 5px 1px #eee inset;
	width: 25%;
	padding: 10px 0;
}

table td:last-child {
	border-right: 1px solid #a8b7c5;
}

table tr:last-child td:first-child {
	border-radius: 0 0 0 5px;
}

table tr:last-child td:last-child {
	border-radius: 0 0 5px 0;
}

cp_iptxt {
	position: relative;
	width: 80%;
	margin: 40px 3%;
}

cp_iptxt input[type='text'] {
	font: 15px/24px sans-serif;
	box-sizing: border-box;
	width: 100%;
	padding: 0.3em;
	transition: 0.3s;
	letter-spacing: 1px;
	color: #00FFFF;
	border: 1px solid #1b2538;
	border-radius: 4px;
}

ef input[type='text']:focus {
	border: 1px solid #da3c41;
	outline: none;
	box-shadow: 0 0 5px 1px rgba(218, 60, 65, .5);
}

.cp_iptxt {
	position: relative;
	width: 80%;
	margin: 40px 3%;
}

.cp_iptxt input[type='text'] {
	font: 15px/24px sans-serif;
	box-sizing: border-box;
	width: 100%;
	letter-spacing: 1px;
	padding-left: 4em;
}

.cp_iptxt input[type='text']:focus {
	outline: none;
}

.ef {
	padding: 7px 14px;
	transition: 0.4s;
	border: 1px solid #1b2538;
	background: transparent;
}

.ef ~ .focus_line:before, .ef ~ .focus_line:after {
	position: absolute;
	top: 0;
	right: 0;
	width: 0;
	height: 2px;
	content: '';
	transition: 0.2s;
	transition-delay: 0.2s;
	background-color: #da3c41;
}

.ef ~ .focus_line:after {
	top: auto;
	right: auto;
	bottom: 0;
	left: 0;
	transition-delay: 0.6s;
}

.ef ~ .focus_line i:before, .ef ~ .focus_line i:after {
	position: absolute;
	top: 0;
	left: 0;
	width: 2px;
	height: 0;
	content: '';
	transition: 0.2s;
	background-color: #da3c41;
}

.ef ~ .focus_line i:after {
	top: auto;
	right: 0;
	bottom: 0;
	left: auto;
	transition-delay: 0.4s;
}

.ef:focus ~ .focus_line:before, .ef:focus ~ .focus_line:after, .cp_iptxt.ef
	 ~ .focus_line:before, .cp_iptxt.ef ~ .focus_line:after {
	width: 100%;
	transition: 0.2s;
	transition-delay: 0.6s;
}

.ef:focus ~ .focus_line:after, .cp_iptxt.ef ~ .focus_line:after {
	transition-delay: 0.2s;
}

.ef:focus ~ .focus_line i:before, .ef:focus ~ .focus_line i:after,
	.cp_iptxt.ef ~ .focus_line i:before, .cp_iptxt.ef ~ .focus_line i:after
	{
	height: 100%;
	transition: 0.2s;
}

.ef:focus ~ .focus_line i:after, .cp_iptxt.ef ~ .focus_line i:after {
	transition-delay: 0.4s;
}

.ef ~ label {
	position: absolute;
	z-index: -1;
	top: 10px;
	left: 14px;
	width: 100%;
	transition: 0.3s;
	letter-spacing: 0.5px;
	color: #aaaaaa;
}

.ef:focus ~ label, .cp_iptxt.ef ~ label {
	font-size: px;
	top: -18px;
	left: 0;
	transition: 0.3s;
	color: #da3c41;
}